<template>
  <div
    :class="{
      'bg-1': currentImage === 1,
      'bg-2': currentImage === 2,
      'bg-3': currentImage === 3,
      'bg-4': currentImage === 4,
    }"
    class="pb-md-5 pt-md-5 pt-4 pb-4"
  >
    <div>
      <div class="container extended">
        <div class="row">
          <div class="col-md-6 col-xl-4 col-xxl-3">
            <div
              style="background-color: rgba(0,0,0,0.8);border-radius: 0.25rem;"
              class="h-100 w-100 d-flex align-items-center flex-column justify-content-center p-4"
            >
              <div style="max-width: 425px;">
                <PlayFree
                  :big-download="isAuthenticated"
                  :hide-signup="isAuthenticated"
                  link-to-downloadpage
                ></PlayFree>
              </div>
            </div>
          </div>
          <div class="col d-none d-xl-block">
            <div
              style="background-color: rgba(0,0,0,1);border-radius: 0.25rem;padding-top: 0.25rem; padding-bottom: 0.25rem;"
              class="h-100 w-100 d-flex align-items-center"
            >
              <div class="w-100">
                <client-only>
                  <vue-plyr v-if="$device.isDesktopOrTablet">
                    <div
                      data-plyr-provider="vimeo"
                      data-plyr-embed-id="133264413"
                    ></div>
                  </vue-plyr>
                </client-only>
              </div>
            </div>
          </div>
          <div
            class="d-none d-md-flex d-xl-none d-xxl-flex col-6 col-xxl-3 mt-4 mt-md-0"
          >
            <div
              class="h-100 w-100 p-4 d-flex align-items-center justify-content-center"
              style="background-color: rgba(0,0,0,0.8);border-radius: 0.25rem;"
            >
              <div style="max-width: 425px;" class="w-100">
                <!--<Returning v-if="!isAuthenticated"></Returning>-->
                <LoginForm v-if="!isAuthenticated"></LoginForm>
                <b-card v-else class="font-large w-100 bg-unset border-unset">
                  <PersonalLinks
                    :title-html="$t('account.welcome') + ', {name}'"
                  ></PersonalLinks>
                </b-card>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';
import PlayFree from '~/components/cards/play-free';
// import Returning from '~/components/cards/returning';
import PersonalLinks from '~/components/user/PersonalLinks';
import LoginForm from '~/components/user/LoginForm';

export default {
  components: {
    PlayFree,
    LoginForm,
    PersonalLinks,
  },
  data() {
    return {
      currentImage: Math.floor(Math.random() * 4) + 1,
    };
  },
  computed: {
    ...mapGetters('ryauth', ['isAuthenticated', 'loggedInUser']),
  },
};
</script>

<style lang="scss">
.bg-1 {
  background-size: cover;
  background-position: bottom;

  background-image: url(../../assets/images/background/bg-fyros2_1920.webp);
}

.bg-2 {
  background-size: cover;
  background-position: center;

  background-image: url(../../assets/images/background/bg-matis3_1920.webp);
}
.bg-3 {
  background-size: cover;
  background-position: center;

  background-image: url(../../assets/images/background/bg-tryker2_1920.webp);
}
.bg-4 {
  background-size: cover;
  background-position: center;

  background-image: url(../../assets/images/background/bg-sky_1920.webp);
}

.no_webp {
  .bg-1 {
    background-image: url(../../assets/images/background/bg-fyros2_1920.jpg);
  }

  .bg-2 {
    background-image: url(../../assets/images/background/bg-matis3_1920.jpg);
  }

  .bg-3 {
    background-image: url(../../assets/images/background/bg-tryker2_1920.jpg);
  }

  .bg-4 {
    background-image: url(../../assets/images/background/bg-sky_1920.jpg);
  }
}
</style>
